
#ifndef WPClock_Source
#define WPClock_Source

#include <wpabs.hh>
#pragma off(dts_class);
#pragma on(somobject_assignment_operators);
#pragma on(somobject_constructors);
#pragma on(somobject_destructor);
#pragma off(case_insensitive_class_names);

#pragma on(som_bindings);
class WPClock : public WPAbstract {

     #pragma SOMMap (WPClock, "WPClock", "M_WPClock")

     #pragma SOMClassVersion (WPClock, 1, 2)

     #pragma SOMCallstyle (WPClock, oidl)

     #pragma off(som_bindings);
     #pragma pop(som_bindings);
  public :

#pragma off(use_override_signature)
     virtual ULONG wpAddClockView1Page(HWND hwndNotebook);
     virtual ULONG wpAddClockView2Page(HWND hwndNotebook);
     virtual ULONG wpAddClockDateTimePage(HWND hwndNotebook);
     virtual ULONG wpAddClockAlarmPage(HWND hwndNotebook);
     virtual BOOL wpAddSettingsPages(HWND hwndNotebook);
     virtual ULONG wpFilterPopupMenu(ULONG ulFlags, HWND hwndCnr,
                                     BOOL fMultiSelect);
     virtual HWND wpOpen(HWND hwndCnr, ULONG ulView, ULONG param);
     virtual BOOL wpModifyPopupMenu(HWND hwndMenu, HWND hwndCnr,
                                    ULONG iPosition);
     virtual BOOL wpMenuItemSelected(HWND hwndFrame, ULONG ulMenuId);
     virtual BOOL wpSaveState();
     virtual BOOL wpRestoreState(ULONG ulReserved);
     virtual BOOL wpMenuItemHelpSelected(ULONG MenuId);
     virtual ULONG wpAddObjectWindowPage(HWND hwndNotebook);
#pragma pop(use_override_signature)

     #pragma SOMReleaseOrder ( \
                              wpAddClockView1Page, \
                              wpAddClockView2Page, \
                              wpAddClockDateTimePage, \
                              wpAddClockAlarmPage)
};
#pragma pop(som_bindings);

#pragma pop(dts_class);
#pragma pop(somobject_assignment_operators);
#pragma pop(somobject_constructors);
#pragma pop(somobject_destructor);
#pragma pop(case_insensitive_class_names);
#endif /* WPClock_Source */

#ifndef M_WPClock_Source
#define M_WPClock_Source

#include <wpabs.hh>
#include <somcls.hh>
#pragma off(dts_class);
#pragma on(somobject_assignment_operators);
#pragma on(somobject_constructors);
#pragma on(somobject_destructor);
#pragma off(case_insensitive_class_names);

#pragma on(som_bindings);
class M_WPClock : public M_WPAbstract {

     #pragma SOMClassVersion (M_WPClock, 1, 2)

     #pragma SOMCallstyle (M_WPClock, oidl)

     #pragma off(som_bindings);
     #pragma pop(som_bindings);
  public :

#pragma off(use_override_signature)
     virtual ULONG wpclsQueryDefaultView();
     virtual ULONG wpclsQueryStyle();
     virtual BOOL wpclsQueryDefaultHelp(PULONG pHelpPanelId,
                                        PSZ pszHelpLibrary);
     virtual PSZ wpclsQueryTitle();
     virtual ULONG wpclsQueryIconData(PICONINFO pIconInfo);
#pragma pop(use_override_signature)

     #pragma SOMReleaseOrder ()

};
#pragma pop(som_bindings);

#pragma pop(dts_class);
#pragma pop(somobject_assignment_operators);
#pragma pop(somobject_constructors);
#pragma pop(somobject_destructor);
#pragma pop(case_insensitive_class_names);
#endif /* M_WPClock_Source */

